complexType "BusinessUnit"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | name?, businessUnitId?, contactInfo?, country?
</...>

Content Model Elements (4):

  businessUnitId, contactInfo (in businessUnit), | country (in businessUnit), name (in businessUnit)

All Direct / Indirect Based Elements (1):

  businessUnit

Known Usage Locations

- As direct type of elements (1):
  businessUnit

Annotation
A type that represents information about a unit within an organization.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="BusinessUnit"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"/> <xsd:element minOccurs="0" name="businessUnitId" type="Unit"/> <xsd:element minOccurs="0" name="contactInfo" type="ContactInformation"/> <xsd:element minOccurs="0" name="country" type="CountryCode"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
businessUnitId

  Type: | Unit, simple content

  An identifier used to uniquely identify organization unit
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessUnitId" type="Unit"/>

contactInfo

  Type: | ContactInformation, complex content

  Information on how to contact the unit using various means.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="contactInfo" type="ContactInformation"/>

country

  Type: | CountryCode, simple content

  The ISO 3166 standard code for the country where the individual works.
  Simple Content

  xsd:token

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="country" type="CountryCode"/>

name

  Type: | xsd:string, predefined, simple content

  A name used to describe the organization unit
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:string"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.